--- /dev/null
+If you are upgrading from enlightenment 0.16.x, the user
+settings directory has changed name and layout. Please read
+README-0.16.8 in /usr/share/doc/e16/ for the full migration
+notes.
+
--- /dev/null
+This is a quilt style package build with a quirky build directory
+hack. Look at /usr/share/doc/quilt/README.source for details on
+using quilt patch management with Debian packages.
+
+The working directory is in debian/build/. That is created by the
+"builddir" target and is used for all processing. Call "builddir"
+directly if you want to start with an unpatched copy of the
+source code in debian/build/. For example:
+
+ debian/rules builddir
+
+
+The "patch" target will invoke the "builddir" target and apply
+the patches listed in debian/patches/series to the source files
+in debian/build/. For example:
+
+ debian/rules patch
+
+
+debian/build/debian/ is a symlink to the top debian/ directory.
+
+The "clean" target will delete debian/build/. The "unpatch" target
+is available, but not used by the "clean" target.
--- /dev/null
+export QUILT_PATCH_DIR=debian/patch
+
+BUILD_DIR := debian/build
+BUILD_DIR_TARGETS := build install patch unpatch
+
+$(BUILD_DIR_TARGETS): builddir
+ $(MAKE) -f debian/rules -C $(BUILD_DIR) $@ USE_BUILD_DIR=TRUE
+
+cp_excludes := .pc debian
+cp_targets = $(filter-out $(cp_excludes),$(wildcard *))
+
+builddir: tarcopy
+tarcopy: debian/stamp-tarcopy
+debian/stamp-tarcopy:
+ mkdir -p $(BUILD_DIR)
+ tar cf - $(cp_targets) | tar xvf - -C $(BUILD_DIR)
+ ln -sv $(CURDIR)/debian $(BUILD_DIR)
+ touch $@
+
+clean: clean_extras
+clean_extras:
+ rm -rf $(BUILD_DIR) $(wildcard debian/stamp-*)
+
+.PHONY: builddir tarcopy clean_extras
--- /dev/null
+e16 (1.0.0-4) unstable; urgency=low
+
+ * QA upload.
+ * Set maintainer to Debian QA Group <packages@qa.debian.org> (as it was
+ orphaned in #599910)
+ * Fix config file handling (Closes: #567770)
+ * Adding Pre-Depends on dpkg (>= 1.15.7.2) to use
+ dpkg-maintscript-helper
+ * Add e16-data.{preinst,postinst,postrm} to deal with the move of
+ config files from /usr/share/e16/config/ to /etc/e16
+ * In debian/rules move the configuration files to /etc/e16 and place
+ symlinks in /usr/share/e16/config/ instead
+ * Build-Depend on autopoint instead of cvs (Closes: #572465)
+
+ -- Alexander Reichle-Schmehl <tolimar@debian.org> Thu, 07 Oct 2010 15:16:21 +0200
+
+e16 (1.0.0-3.1) unstable; urgency=medium
+
+ * Non-maintainer upload.
+ * Move config files to /etc/ (Closes: #552046)
+ - add compatibility symlink
+
+ -- Alexander Reichle-Schmehl <tolimar@debian.org> Sat, 23 Jan 2010 14:25:30 +0100
+
+e16 (1.0.0-3) unstable; urgency=low
+
+ * renamed debian/patches to debian/patch to avoid 3.0-quilt-by-default
+ bug reports
+
+ -- Laurence J. Lane <ljlane@debian.org> Tue, 28 Jul 2009 09:20:24 -0400
+
+e16 (1.0.0-2) unstable; urgency=low
+
+ * missing /usr/share/application/e16.desktop fix, based on report by
+ Tobias Kunze BriseƱo. Thanks. Closes: #536610
+ * bumped Standards Version to 3.8.2
+
+ -- Laurence J. Lane <ljlane@debian.org> Sun, 19 Jul 2009 01:21:30 -0400
+
+e16 (1.0.0-1) unstable; urgency=low
+
+ * New upstream release
+ * Upstream fixed mplayer off-center deal reported by Bernhard Kuemel.
+ Thanks. Closes: #527989
+
+ -- Laurence J. Lane <ljlane@debian.org> Sat, 06 Jun 2009 08:17:59 -0400
+
+e16 (0.16.8.15-2) unstable; urgency=low
+
+ * fixed patch and unpatch targets in builddir.mk and replaced
+ README.source.
+
+ -- Laurence J. Lane <ljlane@debian.org> Wed, 07 Jan 2009 09:10:50 -0500
+
+e16 (0.16.8.15-1) unstable; urgency=low
+
+ * New upstream release
+
+ -- Laurence J. Lane <ljlane@debian.org> Mon, 05 Jan 2009 01:23:25 -0500
+
+e16 (0.16.8.14-1) unstable; urgency=low
+
+ * New upstream release
+
+ -- Laurence J. Lane <ljlane@debian.org> Thu, 14 Aug 2008 20:23:17 -0400
+
+e16 (0.16.8.13-4) unstable; urgency=low
+
+ * revamped debian/rules, builddir.mk and README.source
+
+ -- Laurence J. Lane <ljlane@debian.org> Sat, 26 Jul 2008 00:26:41 -0400
+
+e16 (0.16.8.13-3) unstable; urgency=low
+
+ * adjusted makefiles for clean and test targets
+
+ -- Laurence J. Lane <ljlane@debian.org> Mon, 14 Jul 2008 11:29:50 -0400
+
+e16 (0.16.8.13-2) unstable; urgency=low
+
+ * reverted to quilt patch handling. Fixes dpkg source v3.0 (quilt)
+ FTBFS reported by Raphael Hertzog. Thanks. Closes: #482747
+ * fixed bashism in e_cache_query. Reported by Raphael Geissert.
+ Thanks. Closes: #489571
+ * added a new whacky build directory scheme and a debian/README.source
+
+ -- Laurence J. Lane <ljlane@debian.org> Sun, 13 Jul 2008 19:20:41 -0400
+
+e16 (0.16.8.13-1) unstable; urgency=low
+
+ * New upstream release
+
+ -- Laurence J. Lane <ljlane@debian.org> Thu, 08 May 2008 06:42:25 -0400
+
+e16 (0.16.8.12-2) unstable; urgency=low
+
+ * build failure cleanup (for shame, use cowbuilder, silly)
+ * enabled dbus support
+
+ -- Laurence J. Lane <ljlane@debian.org> Mon, 28 Apr 2008 22:40:42 -0400
+
+e16 (0.16.8.12-1) unstable; urgency=low
+
+ * new upstream version reported by Jan Luebbe. Thanks. Closes: #469192
+ * added versioned enlightenment conflicts. Reported by Pavel Reznicek.
+ Thanks. Closes: #456893
+ * added version to libimlib2 dependency. Reported by Oohara Yuuma.
+ Thanks. Closes: #471464
+ * removed ttf-bitstream-vera dependency. Reported by Daniel Baumann.
+ Thanks. Closes: #461264
+ * returned to pristine upstream source since ttf-bitstream-vera has
+ been vanquished and upstream removed vixar.ttf. Rejoice.
+ * Moritz Muehlenhoff NMU'd to deprecate Freetype 1 dependency. Thanks.
+ * removed quilt and cdbs, added git and debhelper 7
+
+ -- Laurence J. Lane <ljlane@debian.org> Mon, 28 Apr 2008 14:05:18 -0400
+
+e16 (0.16.8.10.dfsg.1-1) unstable; urgency=low
+
+ * Intitial package release
+ * upstream fork of DR16 allows enlightenment package to move to DR17
+
+ -- Laurence J. Lane <ljlane@debian.org> Tue, 11 Dec 2007 11:25:30 -0500
--- /dev/null
+ifeq ($(DEB_BUILD_ARCH),alpha)
+ alphacfg := --disable-zoom
+endif
+
+config_opts := \
+ $(alphacfg) \
+ --enable-upgrade=no \
+ --enable-hints-gnome \
+ --enable-pango \
+ --libdir=/usr/lib \
+ --disable-esdtest \
+ --disable-rpath \
+ --prefix=/usr \
+ --enable-dbus \
+ LDFLAGS="$${LDFLAGS} -Wl,--as-needed"
+
--- /dev/null
+Source: e16
+Section: x11
+Priority: optional
+Maintainer: Debian QA Group <packages@qa.debian.org>
+Build-Depends: libxft-dev, libesd0-dev, libimlib2-dev, gettext, libdbus-1-dev, libsm-dev, libx11-dev, libxext-dev, libxrandr-dev, libxinerama-dev, libxxf86vm-dev, libxt-dev, xbitmaps, libxcomposite-dev, libxdamage-dev, libxrender-dev, libpango1.0-dev, pkg-config, debhelper (>=7.0.1), automake, autoconf, libtool, gettext, quilt, autopoint
+Standards-Version: 3.8.2
+Homepage: http://www.enlightenment.org/
+
+Package: e16
+Architecture: any
+Section: x11
+Depends: e16-data (= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}, libimlib2 (>= 1.4.0)
+Recommends: esound, menu
+Conflicts: menu (<< 2.0), enlightenment (<< 1:0.16.8)
+Provides: x-window-manager
+Suggests: eterm | x-terminal-emulator, e16keyedit, e16menuedit2
+Description: the Enlightenment Window Manager DR16
+ e16 is a window manager for the X Window System that is designed
+ to be powerful, extensible, configurable and pretty darned good
+ looking! It is one of the more graphically intense window managers.
+ .
+ e16 goes beyond managing windows by providing a useful and
+ appealing graphical shell from which to work. It is open in design
+ and instead of dictating a policy, allows the user to define their
+ own policy, down to every last detail.
+
+Package: e16-data
+Architecture: all
+Section: x11
+Conflicts: enlightenment-data (<< 1:0.16.8)
+Pre-Depends: dpkg (>= 1.15.7.2)
+Depends: ${misc:Depends}
+Description: e16 window manager support files
+ These are the architecture independent images and scripts for the
+ e16 window manager.
--- /dev/null
+This package was created by Laurence J. Lane <ljlane<at>debian.org>
+on Oct 30, 2006.
+
+
+e16 source was downloaded from
+
+ http://sourceforge.net/project/showfiles.php?group_id=2
+
+
+epp copyright and distribution license:
+
+ Copyright (C) 1986, 87, 89, 92, 93, 94, 1995 Free Software Foundation, Inc.
+
+ epp is licened under the terms of the GNU General Public License (GPL),
+ version 2.0 or later, as published by the Free Software Foundation. See
+ the file COPYING.GPL [included], /usr/share/common-licenses/GPL, or
+ <http://www.gnu.org/copyleft/gpl.txt> for the terms of the latest version
+ of the GNU General Public License.
+
+
+e16 copyright and distribution license:
+
+ Copyright (C) 2000-2007 Carsten Haitzler, Geoff Harrison and various
+ contributors
+ Copyright (C) 2004-2007 Kim Woelders
+
+ Permission is hereby granted, free of charge, to any person obtaining
+ a copy of this software and associated documentation files (the
+ "Software"), to deal in the Software without restriction, including
+ without limitation the rights to use, copy, modify, merge, publish,
+ distribute, sublicense, and/or sell copies of the Software, and to permit
+ persons to whom the Software is furnished to do so, subject to the
+ following conditions:
+
+ The above copyright notice and this permission notice shall be included
+ in all copies of the Software, its documentation and marketing
+ & publicity materials, and acknowledgment shall be given in the
+ documentation, materials and software packages that this Software was
+ used.
+
+ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+ EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+ MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
+ IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
+ LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
+ FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
+ DEALINGS IN THE SOFTWARE.
+
+Bitstream Vera Fonts copyright and distribution license:
+
+ Bitstream Vera Fonts Copyright
+
+ The fonts have a generous copyright, allowing derivative works (as
+ long as "Bitstream" or "Vera" are not in the names), and full
+ redistribution (so long as they are not *sold* by themselves). They
+ can be be bundled, redistributed and sold with any software.
+
+ The fonts are distributed under the following copyright:
+
+ Copyright
+ =========
+
+ Copyright (c) 2003 by Bitstream, Inc. All Rights Reserved. Bitstream
+ Vera is a trademark of Bitstream, Inc.
+
+ Permission is hereby granted, free of charge, to any person obtaining
+ a copy of the fonts accompanying this license ("Fonts") and associated
+ documentation files (the "Font Software"), to reproduce and distribute
+ the Font Software, including without limitation the rights to use,
+ copy, merge, publish, distribute, and/or sell copies of the Font
+ Software, and to permit persons to whom the Font Software is furnished
+ to do so, subject to the following conditions:
+
+ The above copyright and trademark notices and this permission notice
+ shall be included in all copies of one or more of the Font Software
+ typefaces.
+
+ The Font Software may be modified, altered, or added to, and in
+ particular the designs of glyphs or characters in the Fonts may be
+ modified and additional glyphs or characters may be added to the
+ Fonts, only if the fonts are renamed to names not containing either
+ the words "Bitstream" or the word "Vera".
+
+ This License becomes null and void to the extent applicable to Fonts
+ or Font Software that has been modified and is distributed under the
+ "Bitstream Vera" names.
+
+ The Font Software may be sold as part of a larger software package but
+ no copy of one or more of the Font Software typefaces may be sold by
+ itself.
+
+ THE FONT SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+ EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OF
+ MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT
+ OF COPYRIGHT, PATENT, TRADEMARK, OR OTHER RIGHT. IN NO EVENT SHALL
+ BITSTREAM OR THE GNOME FOUNDATION BE LIABLE FOR ANY CLAIM, DAMAGES OR
+ OTHER LIABILITY, INCLUDING ANY GENERAL, SPECIAL, INDIRECT, INCIDENTAL,
+ OR CONSEQUENTIAL DAMAGES, WHETHER IN AN ACTION OF CONTRACT, TORT OR
+ OTHERWISE, ARISING FROM, OUT OF THE USE OR INABILITY TO USE THE FONT
+ SOFTWARE OR FROM OTHER DEALINGS IN THE FONT SOFTWARE.
+
+ Except as contained in this notice, the names of Gnome, the Gnome
+ Foundation, and Bitstream Inc., shall not be used in advertising or
+ otherwise to promote the sale, use or other dealings in this Font
+ Software without prior written authorization from the Gnome Foundation
+ or Bitstream Inc., respectively. For further information, contact:
+ fonts at gnome dot org.
+
+ Copyright FAQ
+ =============
+
+ 1. I don't understand the resale restriction... What gives?
+
+ Bitstream is giving away these fonts, but wishes to ensure its
+ competitors can't just drop the fonts as is into a font sale system
+ and sell them as is. It seems fair that if Bitstream can't make money
+ from the Bitstream Vera fonts, their competitors should not be able to
+ do so either. You can sell the fonts as part of any software package,
+ however.
+
+ 2. I want to package these fonts separately for distribution and
+ sale as part of a larger software package or system. Can I do so?
+
+ Yes. A RPM or Debian package is a "larger software package" to begin
+ with, and you aren't selling them independently by themselves.
+ See 1. above.
+
+ 3. Are derivative works allowed?
+ Yes!
+
+ 4. Can I change or add to the font(s)?
+ Yes, but you must change the name(s) of the font(s).
+
+ 5. Under what terms are derivative works allowed?
+
+ You must change the name(s) of the fonts. This is to ensure the
+ quality of the fonts, both to protect Bitstream and Gnome. We want to
+ ensure that if an application has opened a font specifically of these
+ names, it gets what it expects (though of course, using fontconfig,
+ substitutions could still could have occurred during font
+ opening). You must include the Bitstream copyright. Additional
+ copyrights can be added, as per copyright law. Happy Font Hacking!
+
+ 6. If I have improvements for Bitstream Vera, is it possible they might get
+ adopted in future versions?
+
+ Yes. The contract between the Gnome Foundation and Bitstream has
+ provisions for working with Bitstream to ensure quality additions to
+ the Bitstream Vera font family. Please contact us if you have such
+ additions. Note, that in general, we will want such additions for the
+ entire family, not just a single font, and that you'll have to keep
+ both Gnome and Jim Lyles, Vera's designer, happy! To make sense to add
+ glyphs to the font, they must be stylistically in keeping with Vera's
+ design. Vera cannot become a "ransom note" font. Jim Lyles will be
+ providing a document describing the design elements used in Vera, as a
+ guide and aid for people interested in contributing to Vera.
+
+ 7. I want to sell a software package that uses these fonts: Can I do so?
+
+ Sure. Bundle the fonts with your software and sell your software
+ with the fonts. That is the intent of the copyright.
+
+ 8. If applications have built the names "Bitstream Vera" into them,
+ can I override this somehow to use fonts of my choosing?
+
+ This depends on exact details of the software. Most open source
+ systems and software (e.g., Gnome, KDE, etc.) are now converting to
+ use fontconfig (see www.fontconfig.org) to handle font configuration,
+ selection and substitution; it has provisions for overriding font
+ names and subsituting alternatives. An example is provided by the
+ supplied local.conf file, which chooses the family Bitstream Vera for
+ "sans", "serif" and "monospace". Other software (e.g., the XFree86
+ core server) has other mechanisms for font substitution.
+
--- /dev/null
+etc/e16
+etc/e16/menus
--- /dev/null
+usr/share/e16 usr/share/locale usr/share
+../../misc/e16-dbus-cmd usr/bin/starte16 usr/share/e16/scripts
+
--- /dev/null
+usr/share/man/man1/e16-utils.1.gz usr/share/man/man1/starte16.1.gz
+usr/share/man/man1/e16-utils.1.gz usr/share/man/man1/e_cache_clean.1.gz
+usr/share/man/man1/e16-utils.1.gz usr/share/man/man1/e_cache_query.1.gz
+usr/share/man/man1/e16-utils.1.gz usr/share/man/man1/gen_menu.1.gz
+usr/share/e16/misc/e16.desktop usr/share/xsessions/e16.desktop
+usr/share/e16/misc/e16.desktop-app usr/share/applications/e16.desktop
+usr/share/e16/misc/e16-gnome.desktop usr/share/xsessions/e16-gnome.desktop
+usr/share/e16/misc/e16-kde.desktop usr/share/xsessions/e16-kde.desktop
--- /dev/null
+debian/e16-utils.1
--- /dev/null
+#!/bin/sh
+
+set -e
+
+for conffile in /etc/e16/definitions /etc/e16/e16keyedit.db /etc/e16/pix/apple.png /etc/e16/pix/key_lock.png /etc/e16/pix/note.png \
+ /etc/e16/pix/tv2.png /etc/e16/pix/sound.png /etc/e16/pix/wait6.png /etc/e16/pix/wait2.png /etc/e16/pix/wait4.png \
+ /etc/e16/pix/pager.png /etc/e16/pix/spider.png /etc/e16/pix/bg.png /etc/e16/pix/wait7.png /etc/e16/pix/mouse_any.png \
+ /etc/e16/pix/mouse_0.png /etc/e16/pix/key_mod2.png /etc/e16/pix/mouse_1.png /etc/e16/pix/mouse_5.png /etc/e16/pix/key_mod5.png \
+ /etc/e16/pix/snapshots.png /etc/e16/pix/areas.png /etc/e16/pix/wait5.png /etc/e16/pix/about.png /etc/e16/pix/easter.png \
+ /etc/e16/pix/mouse_3.png /etc/e16/pix/wait11.png /etc/e16/pix/mouse_2.png /etc/e16/pix/place.png /etc/e16/pix/wait10.png \
+ /etc/e16/pix/fx.png /etc/e16/pix/key_mod1.png /etc/e16/pix/clock.png /etc/e16/pix/wait8.png /etc/e16/pix/wait1.png \
+ /etc/e16/pix/raise.png /etc/e16/pix/key_ctrl.png /etc/e16/pix/wait12.png /etc/e16/pix/wait9.png /etc/e16/pix/mouse_4.png \
+ /etc/e16/pix/key_blank.png /etc/e16/pix/key_mod3.png /etc/e16/pix/world.png /etc/e16/pix/calc.png /etc/e16/pix/desktops.png \
+ /etc/e16/pix/key_mod4.png /etc/e16/pix/moveres.png /etc/e16/pix/pumpkin.png /etc/e16/pix/wait3.png /etc/e16/pix/mon.png \
+ /etc/e16/pix/tips.png /etc/e16/pix/key_shift.png /etc/e16/pix/elogo48.png /etc/e16/pix/focus.png ; do
+ dpkg-maintscript-helper rm_conffile $conffile 1.0.0-3.1 e16-data -- "$@"
+done
+
+case "$1" in
+configure)
+ if dpkg --compare-versions "$2" eq "1.0.0-3.1"; then
+ # this directory contained some conffiles in 1.0.0-3.1
+ # the files should be gone by now, but the directory remains;
+ # trying to remove it
+ rmdir --ignore-fail-on-non-empty /etc/e16/pix
+ fi
+esac
+
+
+#DEBHELPER#
--- /dev/null
+#!/bin/sh
+
+set -e
+
+for conffile in /etc/e16/definitions /etc/e16/e16keyedit.db /etc/e16/pix/apple.png /etc/e16/pix/key_lock.png /etc/e16/pix/note.png \
+ /etc/e16/pix/tv2.png /etc/e16/pix/sound.png /etc/e16/pix/wait6.png /etc/e16/pix/wait2.png /etc/e16/pix/wait4.png \
+ /etc/e16/pix/pager.png /etc/e16/pix/spider.png /etc/e16/pix/bg.png /etc/e16/pix/wait7.png /etc/e16/pix/mouse_any.png \
+ /etc/e16/pix/mouse_0.png /etc/e16/pix/key_mod2.png /etc/e16/pix/mouse_1.png /etc/e16/pix/mouse_5.png /etc/e16/pix/key_mod5.png \
+ /etc/e16/pix/snapshots.png /etc/e16/pix/areas.png /etc/e16/pix/wait5.png /etc/e16/pix/about.png /etc/e16/pix/easter.png \
+ /etc/e16/pix/mouse_3.png /etc/e16/pix/wait11.png /etc/e16/pix/mouse_2.png /etc/e16/pix/place.png /etc/e16/pix/wait10.png \
+ /etc/e16/pix/fx.png /etc/e16/pix/key_mod1.png /etc/e16/pix/clock.png /etc/e16/pix/wait8.png /etc/e16/pix/wait1.png \
+ /etc/e16/pix/raise.png /etc/e16/pix/key_ctrl.png /etc/e16/pix/wait12.png /etc/e16/pix/wait9.png /etc/e16/pix/mouse_4.png \
+ /etc/e16/pix/key_blank.png /etc/e16/pix/key_mod3.png /etc/e16/pix/world.png /etc/e16/pix/calc.png /etc/e16/pix/desktops.png \
+ /etc/e16/pix/key_mod4.png /etc/e16/pix/moveres.png /etc/e16/pix/pumpkin.png /etc/e16/pix/wait3.png /etc/e16/pix/mon.png \
+ /etc/e16/pix/tips.png /etc/e16/pix/key_shift.png /etc/e16/pix/elogo48.png /etc/e16/pix/focus.png ; do
+ dpkg-maintscript-helper rm_conffile $conffile 1.0.0-3.1 e16-data -- "$@"
+done
+
+#DEBHELPER#
--- /dev/null
+#!/bin/sh
+
+set -e
+
+for conffile in /etc/e16/definitions /etc/e16/e16keyedit.db /etc/e16/pix/apple.png /etc/e16/pix/key_lock.png /etc/e16/pix/note.png \
+ /etc/e16/pix/tv2.png /etc/e16/pix/sound.png /etc/e16/pix/wait6.png /etc/e16/pix/wait2.png /etc/e16/pix/wait4.png \
+ /etc/e16/pix/pager.png /etc/e16/pix/spider.png /etc/e16/pix/bg.png /etc/e16/pix/wait7.png /etc/e16/pix/mouse_any.png \
+ /etc/e16/pix/mouse_0.png /etc/e16/pix/key_mod2.png /etc/e16/pix/mouse_1.png /etc/e16/pix/mouse_5.png /etc/e16/pix/key_mod5.png \
+ /etc/e16/pix/snapshots.png /etc/e16/pix/areas.png /etc/e16/pix/wait5.png /etc/e16/pix/about.png /etc/e16/pix/easter.png \
+ /etc/e16/pix/mouse_3.png /etc/e16/pix/wait11.png /etc/e16/pix/mouse_2.png /etc/e16/pix/place.png /etc/e16/pix/wait10.png \
+ /etc/e16/pix/fx.png /etc/e16/pix/key_mod1.png /etc/e16/pix/clock.png /etc/e16/pix/wait8.png /etc/e16/pix/wait1.png \
+ /etc/e16/pix/raise.png /etc/e16/pix/key_ctrl.png /etc/e16/pix/wait12.png /etc/e16/pix/wait9.png /etc/e16/pix/mouse_4.png \
+ /etc/e16/pix/key_blank.png /etc/e16/pix/key_mod3.png /etc/e16/pix/world.png /etc/e16/pix/calc.png /etc/e16/pix/desktops.png \
+ /etc/e16/pix/key_mod4.png /etc/e16/pix/moveres.png /etc/e16/pix/pumpkin.png /etc/e16/pix/wait3.png /etc/e16/pix/mon.png \
+ /etc/e16/pix/tips.png /etc/e16/pix/key_shift.png /etc/e16/pix/elogo48.png /etc/e16/pix/focus.png ; do
+ dpkg-maintscript-helper rm_conffile $conffile 1.0.0-3.1 e16-data -- "$@"
+done
+
+case "$1" in
+install|upgrade)
+ if dpkg --compare-versions "$2" eq "1.0.0-3.1"; then
+ # in 1.0.0-3.1 this was a symlink to /etc/e16 ; it is now again a
+ # directory containing symlinks. We need to remove the symlink to
+ # replace it with the directory
+ # for people who upgraded from version before 1.0.0-3.1 to that
+ # verison however don't have that symlink, but a directory (which
+ # is fine) so we only remove it, if it's a symlink
+ if [ -h /usr/share/e16/config ] ; then
+ rm -f /usr/share/e16/config
+ fi
+ fi
+esac
+
+
+#DEBHELPER#
--- /dev/null
+.\" Automatically generated by Pod::Man v1.37, Pod::Parser v1.14
+.\"
+.\" Standard preamble:
+.\" ========================================================================
+.de Sh \" Subsection heading
+.br
+.if t .Sp
+.ne 5
+.PP
+\fB\\$1\fR
+.PP
+..
+.de Sp \" Vertical space (when we can't use .PP)
+.if t .sp .5v
+.if n .sp
+..
+.de Vb \" Begin verbatim text
+.ft CW
+.nf
+.ne \\$1
+..
+.de Ve \" End verbatim text
+.ft R
+.fi
+..
+.\" Set up some character translations and predefined strings. \*(-- will
+.\" give an unbreakable dash, \*(PI will give pi, \*(L" will give a left
+.\" double quote, and \*(R" will give a right double quote. | will give a
+.\" real vertical bar. \*(C+ will give a nicer C++. Capital omega is used to
+.\" do unbreakable dashes and therefore won't be available. \*(C` and \*(C'
+.\" expand to `' in nroff, nothing in troff, for use with C<>.
+.tr \(*W-|\(bv\*(Tr
+.ds C+ C\v'-.1v'\h'-1p'\s-2+\h'-1p'+\s0\v'.1v'\h'-1p'
+.ie n \{\
+. ds -- \(*W-
+. ds PI pi
+. if (\n(.H=4u)&(1m=24u) .ds -- \(*W\h'-12u'\(*W\h'-12u'-\" diablo 10 pitch
+. if (\n(.H=4u)&(1m=20u) .ds -- \(*W\h'-12u'\(*W\h'-8u'-\" diablo 12 pitch
+. ds L" ""
+. ds R" ""
+. ds C` ""
+. ds C' ""
+'br\}
+.el\{\
+. ds -- \|\(em\|
+. ds PI \(*p
+. ds L" ``
+. ds R" ''
+'br\}
+.\"
+.\" If the F register is turned on, we'll generate index entries on stderr for
+.\" titles (.TH), headers (.SH), subsections (.Sh), items (.Ip), and index
+.\" entries marked with X<> in POD. Of course, you'll have to process the
+.\" output yourself in some meaningful fashion.
+.if \nF \{\
+. de IX
+. tm Index:\\$1\t\\n%\t"\\$2"
+..
+. nr % 0
+. rr F
+.\}
+.\"
+.\" For nroff, turn off justification. Always turn off hyphenation; it makes
+.\" way too many mistakes in technical documents.
+.hy 0
+.if n .na
+.\"
+.\" Accent mark definitions (@(#)ms.acc 1.5 88/02/08 SMI; from UCB 4.2).
+.\" Fear. Run. Save yourself. No user-serviceable parts.
+. \" fudge factors for nroff and troff
+.if n \{\
+. ds #H 0
+. ds #V .8m
+. ds #F .3m
+. ds #[ \f1
+. ds #] \fP
+.\}
+.if t \{\
+. ds #H ((1u-(\\\\n(.fu%2u))*.13m)
+. ds #V .6m
+. ds #F 0
+. ds #[ \&
+. ds #] \&
+.\}
+. \" simple accents for nroff and troff
+.if n \{\
+. ds ' \&
+. ds ` \&
+. ds ^ \&
+. ds , \&
+. ds ~ ~
+. ds /
+.\}
+.if t \{\
+. ds ' \\k:\h'-(\\n(.wu*8/10-\*(#H)'\'\h"|\\n:u"
+. ds ` \\k:\h'-(\\n(.wu*8/10-\*(#H)'\`\h'|\\n:u'
+. ds ^ \\k:\h'-(\\n(.wu*10/11-\*(#H)'^\h'|\\n:u'
+. ds , \\k:\h'-(\\n(.wu*8/10)',\h'|\\n:u'
+. ds ~ \\k:\h'-(\\n(.wu-\*(#H-.1m)'~\h'|\\n:u'
+. ds / \\k:\h'-(\\n(.wu*8/10-\*(#H)'\z\(sl\h'|\\n:u'
+.\}
+. \" troff and (daisy-wheel) nroff accents
+.ds : \\k:\h'-(\\n(.wu*8/10-\*(#H+.1m+\*(#F)'\v'-\*(#V'\z.\h'.2m+\*(#F'.\h'|\\n:u'\v'\*(#V'
+.ds 8 \h'\*(#H'\(*b\h'-\*(#H'
+.ds o \\k:\h'-(\\n(.wu+\w'\(de'u-\*(#H)/2u'\v'-.3n'\*(#[\z\(de\v'.3n'\h'|\\n:u'\*(#]
+.ds d- \h'\*(#H'\(pd\h'-\w'~'u'\v'-.25m'\f2\(hy\fP\v'.25m'\h'-\*(#H'
+.ds D- D\\k:\h'-\w'D'u'\v'-.11m'\z\(hy\v'.11m'\h'|\\n:u'
+.ds th \*(#[\v'.3m'\s+1I\s-1\v'-.3m'\h'-(\w'I'u*2/3)'\s-1o\s+1\*(#]
+.ds Th \*(#[\s+2I\s-2\h'-\w'I'u*3/5'\v'-.3m'o\v'.3m'\*(#]
+.ds ae a\h'-(\w'a'u*4/10)'e
+.ds Ae A\h'-(\w'A'u*4/10)'E
+. \" corrections for vroff
+.if v .ds ~ \\k:\h'-(\\n(.wu*9/10-\*(#H)'\s-2\u~\d\s+2\h'|\\n:u'
+.if v .ds ^ \\k:\h'-(\\n(.wu*10/11-\*(#H)'\v'-.4m'^\v'.4m'\h'|\\n:u'
+. \" for low resolution devices (crt and lpr)
+.if \n(.H>23 .if \n(.V>19 \
+\{\
+. ds : e
+. ds 8 ss
+. ds o a
+. ds d- d\h'-1'\(ga
+. ds D- D\h'-1'\(hy
+. ds th \o'bp'
+. ds Th \o'LP'
+. ds ae ae
+. ds Ae AE
+.\}
+.rm #[ #] #H #V #F C
+.\" ========================================================================
+.\"
+.IX Title "E-UTILS 1"
+.TH E-UTILS 1 "3 April 2005" "Debian" " "
+.SH "NAME"
+e\-utils \- enlightement utilities
+.SH "SYNOPSIS"
+.IX Header "SYNOPSIS"
+e\-utils are various scripts and programs used by the enlightenment
+window manager. They are generally employed directly by enlightenment
+itself or through menu selections.
+.SH "DESCRIPTION"
+.IX Header "DESCRIPTION"
+.RE
+.IP "\(bu"
+\&\fBepp\fR \- the enlightenment pre\-processor, processes macros in enlightenment's config files
+.RE
+.IP "\(bu"
+\&\fBedox\fR \- enlightenment documentation viewer
+.RE
+.IP "\(bu"
+\&\fBeesh\fR \- enlightenment extended shell, sends \s-1IPC\s0 commands to enlightenment, see
+eesh \f(CW\*(C`\-h\*(C'\fR for more info
+.RE
+.IP "\(bu"
+\&\fBstarte16\fR \- enlightenment startup script
+.RE
+.IP "\(bu"
+\&\fBe_cache_clean\fR \- cleans up parts of your enlightenment cache
+.RE
+.IP "\(bu"
+\&\fBe_cache_query\fR \- queries sizes of your enlightenment cache
+.RE
+.IP "\(bu"
+\&\fBe_gen_menu\fR \- generates a file.menu format for Enlightenment out of menu hierarchies
+.SH "NOTES"
+.IX Header "NOTES"
+The \fIe\-utils\fR\|(1) man page is quite pathetic.
+.SH "AUTHOR"
+.IX Header "AUTHOR"
+Laurence J. Lane <\fBljlane@debian.org\fR>
+.SH "SEE ALSO"
+.IX Header "SEE ALSO"
+\&\fIenlightenment\fR\|(1)
--- /dev/null
+#pod2man --section=1 --release="Debian" --center=" " --date="3 April 2005" e-utils.pod
+
+=head1 NAME
+
+e-utils - enlightement utilities
+
+=head1 SYNOPSIS
+
+e-utils are various scripts and programs used by the enlightenment
+window manager. They are generally employed directly by enlightenment
+itself or through menu selections.
+
+=head1 DESCRIPTION
+
+=item
+
+B<epp> - the enlightenment pre-processor, processes macros in enlightenment's config files
+
+=item
+
+B<edox> - enlightenment documentation viewer
+
+=item
+
+B<eesh> - enlightenment extended shell, sends IPC commands to enlightenment, see
+eesh C<-h> for more info
+
+=item
+
+B<starte16> - enlightenment startup script
+
+=item
+
+B<e_cache_clean> - cleans up parts of your enlightenment cache
+
+=item
+
+B<e_cache_query> - queries sizes of your enlightenment cache
+
+=item
+
+B<e_gen_menu> - generates a file.menu format for Enlightenment out of menu hierarchies
+
+=head1 NOTES
+
+The e-utils(1) man page is quite pathetic.
+
+=head1 AUTHOR
+
+Laurence J. Lane <B<ljlane@debian.org>>
+
+=head1 SEE ALSO
+
+enlightenment(1)
+
--- /dev/null
+sample-scripts/*
--- /dev/null
+usr/bin/e16 usr/bin/edox usr/bin/epp usr/bin/eesh usr/bin
+usr/lib
--- /dev/null
+usr/share/man/man1/e16-utils.1.gz usr/share/man/man1/epp.1.gz
+usr/share/man/man1/e16-utils.1.gz usr/share/man/man1/eesh.1.gz
+usr/share/man/man1/e16-utils.1.gz usr/share/man/man1/edox.1.gz
--- /dev/null
+?package(e16):needs="wm" section="Window Managers"\
+ title="e16" command="/usr/bin/e16"
--- /dev/null
+#!/usr/bin/install-menu
+
+!include menu.h
+
+compat="menu-2";
+outputencoding="LOCALE";
+
+treewalk="c(m)";
+rootprefix="/var/lib/e16/";
+userprefix=".e16/menus_debian/";
+mainmenutitle="Debian Menu";
+
+function menu_sh() = prefix() "debian_menu_sh";
+prerun="set -e; rm -f " prefix() "debian*menu/" menu_sh();
+postrun="set -e; cat " menu_sh() " | sh; rm -f " menu_sh();
+
+function quote($text)= "\"" replacewith($text,"\"","'") "\"";
+function tick($text)= "'" escwith($text,"'", "'\\'") "'";
+
+function space()= " ";
+function newline()="\n";
+
+function entry($com)= quote(title()) space()
+ ifelse(icon(),quote(icon()),"NULL") space()
+ "exec" space()
+ $com;
+
+supported;
+ wm= entry(quote("eesh -e " tick("exit exec " $command)) newline());
+ x11= entry(quote($command) newline());
+ text= entry(quote(term()) newline());
+endsupported;
+
+function etitle()= esc(tolower(replacewith(replace("/" $section,"//",""),"/ ","__") ".menu"),"()");
+
+startmenu= "cat > " prefix() tick(etitle()) " << 'END'" newline() quote(title()) newline();
+
+endmenu= "END" newline() newline();
+
+submenutitle=quote(title()) " NULL menu " quote(prefix() etitle()) "\n";
+
+genmenu="debian_menu_sh";
--- /dev/null
+#!/bin/sh
+
+set -e
+
+wm=e16
+
+update-alternatives --install /usr/bin/x-window-manager x-window-manager \
+ /usr/bin/$wm 90 --slave /usr/share/man/man1/x-window-manager.1.gz x-window-manager.1.gz /usr/share/man/man1/$wm.1.gz
+
+inst=/etc/menu-methods/$wm
+if [ -f $inst ]; then
+ chmod a+x $inst
+ if [ -x /usr/bin/update-menus ]; then
+ update-menus
+ fi
+fi
+
+#DEBHELPER#
--- /dev/null
+#!/bin/sh -e
+
+wm=e16
+
+inst=/etc/menu-methods/$wm
+if [ "$1" = 'remove' ]; then
+ if [ -f $inst ]; then
+ chmod a-x $inst
+ if [ -x /usr/bin/update-menus ]; then update-menus ; fi
+ fi
+fi
+
+
+if [ "$1" = 'purge' ] && [ -d /var/lib/$wm ]; then
+ rm -rf /var/lib/$wm
+fi
+
+#DEBHELPER#
--- /dev/null
+#!/bin/sh
+
+set -e
+
+wm=e16
+
+case "$1" in
+ remove|upgrade|failed-upgrade)
+ update-alternatives --remove x-window-manager /usr/bin/$wm
+;;
+*)
+;;
+esac
+
+#DEBHELPER#
--- /dev/null
+Index: b/Makefile.am
+===================================================================
+--- a/Makefile.am 2009-06-06 08:28:24.431573013 -0400
++++ b/Makefile.am 2009-06-06 08:29:23.811447649 -0400
+@@ -17,3 +17,5 @@
+ sample-scripts/testroller.pl \
+ sample-scripts/shade-pagers.pl \
+ AUTHORS COMPLIANCE COPYING ChangeLog
++
++test check:
--- /dev/null
+Index: b/config/enlightenment.menu
+===================================================================
+--- a/config/enlightenment.menu 2009-06-22 01:36:26.355943870 -0400
++++ b/config/enlightenment.menu 2009-06-22 01:37:15.589818599 -0400
+@@ -1,5 +1,6 @@
+ "Enlightenment" "ROOT"
+ "User Menus" NULL menu file.menu
++"Debian Menus" NULL menu /var/lib/e16/debian.menu
+ "Settings" NULL cfg
+ "Desktop" NULL menu desktop.menu
+ "Themes" NULL menu themes
+Index: b/scripts/e_gen_menu
+===================================================================
+--- a/scripts/e_gen_menu 2009-06-22 01:37:24.982818998 -0400
++++ b/scripts/e_gen_menu 2009-06-22 01:38:26.706818784 -0400
+@@ -83,6 +83,7 @@
+ @MainMenu = (
+ "t:User Menus",
+ "m:User Application List:user_apps.menu",
++ "m:Debian Menus:/var/lib/e16/debian.menu",
+ "m:GNOME:menus_GNOME/index.menu",
+ "m:KDE:menus_KDE/index.menu",
+ "m:Other:menus_Other/index.menu",
--- /dev/null
+000_build_hackery.patch
+001_menus.patch
--- /dev/null
+#!/usr/bin/make -f
+
+%:
+ dh $@
+
+binary-arch binary-indep: install
+binary: binary-arch binary-indep
+
+
+ifneq ($(USE_BUILD_DIR),TRUE)
+
+include debian/builddir.mk
+
+else
+
+include /usr/share/quilt/quilt.make
+include debian/config.mk
+
+build: patch debian/stamp-build
+debian/stamp-build:
+ dh build --before configure
+ autoreconf -fi
+ dh_auto_configure -- $(config_opts)
+ dh build --after configure
+ touch $@
+
+install: build debian/stamp-install
+debian/stamp-install:
+ dh install
+ # the following files are actually configuration files
+ # moving them there
+ # create compatibility symlinks; doing it here, as the dh call has
+ # already dealt with e16-data.links
+ for CONFFILE in actionclasses.cfg bindings.cfg fonts.pango.cfg \
+ fonts.xft.cfg matches.cfg menus.cfg menus/winops_size.menu \
+ menus/maintenance.menu menus/settings.menu menus/winops_misc.menu \
+ menus/winops.menu menus/winops_opacity.menu menus/enlightenment.menu \
+ menus/winops_groups.menu menus/desktop.menu menus/winops_layer.menu ; do \
+ mv -f debian/e16-data/usr/share/e16/config/$$CONFFILE debian/e16-data/etc/e16/$$CONFFILE ; \
+ dh_link -pe16-data etc/e16/$$CONFFILE usr/share/e16/config/$$CONFFILE ; \
+ done
+ touch $@
+
+endif
--- /dev/null
+version=3
+http://sf.net/enlightenment/e16-([\d.]*)\.tar\.gz